<div class="container track">
  <div class="container-inner">
    <!--breadcrumb start -->
    <nav class="breadcrumb">
      <a class="breadcrumb-item" href="#/dashboard"><i class="fa fa-home" aria-hidden="true"></i>{{'HOME' | translate}}</a>
      <span class="breadcrumb-item">{{'VIEW_DB_MEMBER' | translate}}</span>
    </nav>
    <!--breadcrumb end -->
   <!--wrapper-wrap start -->
   <div class="alert alert-success" data-ng-if="callType === 'deactivate'">
    {{ 'USR_DEAC_SUCCESS' | translate }}
   </div>
   <div class="alert alert-success" data-ng-if="callType === 'sendForSecurity'">
    {{ 'USR_MARK_SECURITY' | translate }}
   </div>
   <div class="alert alert-success" data-ng-if="callType === 'partialProfile'">
    {{ 'USR_MARK_PARTIAL' | translate }}
   </div>
    <div class="wrapper-wrap">
      <form class="form-horizontal" role="form" name="searchForm" data-ng-submit="filterData()">
        <fieldset>
          <div class="row">
            <div class="col-sm-6">
               <div class="form-group searchbox-width col-sm-12">
                  <input type="text" data-ng-change="searchEntity()" name="entityName" data-ng-model="searchData.entityName" placeholder="Search Databank Members" class="col-sm-11 form-control form-input"></input>
                  <span class="glyphicon glyphicon-search text-right col-sm-1 searchIcon" aria-hidden="true"></span>
               </div>
            </div>
            <div class="col-sm-6 entity-action align-right">
               <span title="{{'VIEW' | translate}}" data-ng-if="showButtonBasedOnRadio" class="actionspan" data-ng-click="viewMemberClick()">
                  <a><img src="{{system}}images/icons/action-6.png" height="20"></a>
                </span>
                <span data-ng-if="!userIsSecurityCoordinator && showButtonBasedOnRadio" title="{{'MODIFY' | translate}}" class="actionspan">
                  <a data-toggle="modal" data-target="#memberModifyModal" data-ng-click="setSelectedModifyMember()"><img src="{{system}}images/icons/action-3.png" height="20"></a>
                </span>
                <span data-ng-if="!userIsSecurityCoordinator && showButtonBasedOnRadio" title="{{'DEACTIVATE' | translate}}" class="actionspan">
                  <a data-toggle="modal" data-target="#memberDeactivationModal" data-ng-click="setSelectedMember()"><img src="{{system}}images/icons/action-4.png" height="20"></a>
                </span>
                <span data-ng-if="userIsSecurityCoordinator && showButtonBasedOnRadio" title="Clear Security" class="actionspan">
                  <a data-toggle="modal" data-target="#memberClearSecurityModal" data-ng-click="setSelectedModifyMember()"><img src="{{system}}images/icons/action-4.png" height="20"></a>
                </span>
              <button type="button" class="btn btn-info panel-heading" data-ng-if="!userIsSecurityCoordinator" data-ng-click="showCreateRequest()">{{'CREATE'| translate}}</button>
            </div>
        </fieldset>
      </form>

    <div class="panel panel-default" style="border-bottom-left-radius: 0px !important;"> 
      <div class="panel-heading">
        <img class="accordion-icon" src="{{system}}images/icons/member_list.png" />
        <h4 class="panel-title ng-binding">
          Databank Members 
        </h4>
        </div>
        <div class="row" data-ng-if="!loading">
          <div class="col-sm-12">
            <div class="table-responsive" style="padding: 0 10px;">
              <table class="table table-red table-styles" style="border-top: 2px solid white">
                <tbody style="border-top: 1px solid white !important;">
                  <tr data-ng-repeat="i in getRows() track by $index" data-ng-init="idx = $index" style="width: 100%">
                    <td data-ng-repeat="c in getColumns() track by $index" ng-init="idy=$index" class="row text-center" style="width: 33%">
                      <input data-ng-if="data[(idx*columnCount)+idy] !== undefined" class="col-sm-1 col-sm-offset-3" type="radio" name="inlineRadioOptions" id="inlineRadio1" data-ng-click="goToShowButtons(data[(idx*columnCount)+idy])" value="option1">
                      <div class=" col-sm-11 text-left" data-ng-if="application.language === 'ar' ">
                        {{data[(idx*columnCount)+idy].nameAR}}
                      </div>
                      <div class=" col-sm-11 text-left" data-ng-if="application.language === 'en' ">
                        {{data[(idx*columnCount)+idy].nameEN}}
                      </div>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
          <div class="clear"></div>
        </div>
      </div>
    </div>
  </div>
</div>

<!-- Modal -->
<div data-ng-include="system + 'components/memberDeactivationModal.html'"></div>
<div data-ng-include="system + 'components/memberModifyModal.html'"></div>
<div data-ng-include="system + 'components/memberClearSecurityModal.html'"></div>


